﻿using Autofac;
using Syncfusion.Licensing;
using SyncFusionDemo1.Constants;
using SyncFusionDemo1.Helpers;
using SyncFusionDemo1.Interfaces.Services;
using SyncFusionDemo1.View.Pages;
using System;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

[assembly: XamlCompilation(XamlCompilationOptions.Compile)]
namespace SyncFusionDemo1
{
    public partial class App : Application
    {
        public App()
        {
            SyncfusionLicenseProvider.RegisterLicense(AppSettings.SyncfusionLicenseKey);
            DI.Init();

            InitializeComponent();
            var navigationService = DI.Container.Resolve<INavigationService>();

            MainPage = new MasterDetailPage
            {
                Detail = new NavigationPage(new Page2()),
                Master = new MasterDetailPageMaster()
            };

            navigationService?.Init();
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
